%global enable_tests 1
%global srcname yauzl
%global commit d528c3ad49efd27986ee661159fade32617cedb6

Name:           nodejs-%{srcname}
Version:        2.4.1
Release:        3%{?dist}
Summary:        Yet another unzip library for node
License:        MIT
URL:            https://github.com/thejoshwolfe/yauzl
# use github as source, npm package does not contain tests
Source0:        https://github.com/thejoshwolfe/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(fd-slicer)
BuildRequires:  npm(pend)
BuildRequires:  npm(bl)
%endif


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{commit}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/test.js
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 25 2016 Piotr Popieluch <piotr1212@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Sat Oct 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.3.1-1
- Update to 2.3.1

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.2.1-1
- Initial package
